<dx-toolbar id="toolbar">
  <dxi-item 
      widget="dxButton"
      [options]="buttonOptions"
      location="before">
  </dxi-item>
  <dxi-item
        location="before">
    <img src='assets/img/logo.png' height="36px" style="padding-left: 10px;" />
  </dxi-item>
</dx-toolbar>
<dx-drawer id="drawer"
    template="template"
    height='calc(100vh - 66px)'
    [minSize]="0"
    [(opened)]="isDrawerOpen"
    [closeOnOutsideClick]="true"
    [shading]="true"
    openedStateMode="overlap">
    <div *dxTemplate="let data of 'template'">
      <dx-list
          [items]="navigation"
          [width]="200"
          selectionMode="single"
          (onSelectionChanged)="this.isDrawerOpen = false"
          itemTemplate="links">
          <div class="drawer-container" *dxTemplate="let link of 'links'">
              <a [routerLink]="['/' + link.path]">
                  <div>
                      <div class="dx-list-item-icon-container">
                          <i class="dx-icon dx-list-item-icon dx-icon-{{link.icon}}"></i>
                      </div>
                      <span>{{ link.text }}</span>
                  </div>
              </a>
          </div>
      </dx-list>
  </div>
  <div id="view">
      <router-outlet></router-outlet>
  </div>
</dx-drawer>